Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List post's slack boosts

List all slack boosts for a specific post in the current workspace.

GET/posts/{postId}/slack-boosts
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
postIdstring<uuid>required

The ID of the post to list slack boosts for

Responses
200

List of slack boosts for the post

slackBoostsSlackBoost[]
Show properties
Array of SlackBoost
idstring<uuid>
copystring | null

Optional custom message in the Slack notification

isAutoCreatedboolean

True when the boost was added automatically via channel auto-boost

postIdstring<uuid>
slackWebhookSlackWebhookSummary

Slack channel (webhook) targeted by a slack boost

Show properties
idstring<uuid>
channelNamestring | null
teamNamestring | null
createdAtstring<date-time>
updatedAtstring<date-time>
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://app.tryordinal.com/api/v1/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08/slack-boosts' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "slackBoosts": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440910",
      "copy": "Our latest launch is live — help us amplify!",
      "isAutoCreated": false,
      "postId": "550e8400-e29b-41d4-a716-446655440300",
      "slackWebhook": {
        "id": "550e8400-e29b-41d4-a716-446655440920",
        "channelName": "marketing-boost",
        "teamName": "Acme Corp"
      },
      "createdAt": "2026-01-15T10:00:00.000Z",
      "updatedAt": "2026-01-15T10:00:00.000Z"
    }
  ]
}